%define build_heimdal 0
%{?_with_heimdal: %{expand: %%global build_heimdal 1}}

Summary:	Kerberos 5 authentication dialog
Name:		krb5-auth-dialog
Version:	3.2.1
Release:	%mkrel 2
License:	GPLv2+
Group:		System/Base
URL:		http://www.redhat.com/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.xz

BuildRequires: flex
BuildRequires: GConf2
BuildRequires: gnome-doc-utils
BuildRequires: intltool
BuildRequires: libcap-devel
BuildRequires: pam-devel
BuildRequires: pkgconfig(dbus-1)
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(gconf-2.0)
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(libnm-glib)
BuildRequires: pkgconfig(libnotify)
%if %build_heimdal
BuildRequires: heimdal-devel
%else
BuildRequires: krb5-devel
%endif

%description
This package contains a dialog that warns the user when their Kerberos
tickets are about to expire and lets them renew them.

%prep
%setup -q

%build
%configure2_5x \
	--enable-debug \
	--disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std
%find_lang %{name} --with-gnome
for omf in %buildroot%_datadir/omf/*/*-??*.omf; do
 echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed s!%buildroot!!)" >> %name.lang
done

%files -f %{name}.lang
%doc README AUTHORS NEWS
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/krb5-auth-dialog
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/libka-plugin-afs.*
%{_libdir}/%{name}/plugins/libka-plugin-dummy.*
%{_libdir}/%{name}/plugins/libka-plugin-pam.*
%{_datadir}/krb5-auth-dialog/
%{_datadir}/icons/hicolor/*/status/*
%dir %_datadir/omf/%name/
%_datadir/omf/%name/%name-C.omf
%{_mandir}/man1/*
%config(noreplace) %{_sysconfdir}/xdg/autostart/krb5-auth-dialog.desktop
%{_datadir}/applications/krb5-auth-dialog.desktop
%{_datadir}/dbus-1/services/org.gnome.KrbAuthDialog.service





%changelog

* Sat Jan 12 2013 umeabot <umeabot> 3.2.1-2.mga3
+ Revision: 356463
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 22 2012 gw666 <gw666> 3.2.1-1.mga3
+ Revision: 309192
- imported package krb5-auth-dialog

